#ifndef _VOXELMASTER_H
#define _VOXELMASTER_H

// Date, Time & Version defines
#define VOXEL_DATE    20030908
#define VOXEL_TIME    004219
#define VOXEL_VERSION 6

// Context define declarations

// Forward extern class declarations
class DisplayDevice;
struct KeyList;
struct PixelShader;
struct LockInfo;
class Surface;
class Rect;
template<typename T> class scoped_ptr;

//@START_USER1
#define ANGLE_360	1440
#define ANGLE_90	 360
#define ANGLE_60     240
#define ANGLE_30	 120
#define ANGLE_0		   0

#define ANGULAR_INCREMENT ((float)0.25)

#define DEG_TO_RAD	((float)3.1414926/(float)180)
#define RAD_TO_DEG  ((float)180/(float)3.1414926)

#define DISP_X		240
#define DISP_Y		320

#define WORLD_X_SIZE	512
#define WORLD_Y_SIZE	512

#include "Resource.h"
#include <PocketFrog.h>
//@END_USER1

namespace Frog
{

// Defines needed for relations between templated classes

// Forward class declarations
struct TDistInfo;
class VoxelDemo;

// Needed ClassBuilder include files

// Make sure the inline implementations are skipped
#ifdef CB_INLINES
#undef CB_INLINES
#endif

// Include classes, for declarations
#include "TDistInfoA.h"
#include "VoxelDemoA.h"


// Include classes again, for inline implementation
#define CB_INLINES
#include "TDistInfoA.h"

} // end of namespace Frog

//@START_USER2
//@END_USER2

#endif
